This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 165316 - xen0 kernel boot fails due to IRQ routing conflict
xen0 kernel boot fails due to IRQ routing conflict
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rik van Riel
:
Depends On:
Blocks: 179599
  Show dependency treegraph
 
Reported: 2005-08-07 15:23 EDT by bastiaan
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-08 20:50:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
output of lspci -v (5.48 KB, text/plain)
2005-08-07 15:23 EDT, bastiaan
no flags Details

  None (edit)
Description bastiaan 2005-08-07 15:23:42 EDT
Description of problem:
Booting the xen0 kernel fails on a Compal CL65 laptop. 

Version-Release number of selected component (if applicable):
2.6.12-1.1398_FC4xen0

How reproducible:
always

Steps to Reproduce:
1. boot kernel 2.6.12-1.1398_FC4xen0
  
Actual results:
at boot time xen complains about routing conflicts for IRQ5 for PCI device
02:03.0 and subsequently the kernel hangs at the point in rc.sysinit where it
loads kernel modules for PCI devices.

Expected results:
the xen0 kernel should boot properly.

Additional info:
PCI device 02:03.0 is the CardBus bridge device. A simple workaround to the boot
problem is to disable loading of the yenta_socket kernel module in rc.sysinit.
Comment 1 bastiaan 2005-08-07 15:23:42 EDT
Created attachment 117529 [details]
output of lspci -v
Comment 2 Fedora Update System 2005-08-26 17:36:59 EDT
From User-Agent: XML-RPC

A new Xen version has been pushed to Fedora Core 4 updates.  This version of Xen (combined with the latest kernel update) should fix this issue.

Please reopen this bug if the problems continue with the latest Xen and kernel updates.
Comment 3 Fedora Update System 2005-08-29 23:24:24 EDT
From User-Agent: XML-RPC

A new Xen version has been pushed to Fedora Core 4 updates.  This version of Xen (together with kernel 2.6.12-1.1435 or newer) should fix this issue.

Please reopen this bug if the problems continue with the latest Xen and kernel updates.
Comment 4 bastiaan 2005-08-31 16:22:16 EDT
I've tried kernel-xen0-2.6.13-1.1526_FC5, but it fails even earlier with the
message:
Domain 0 allocation is too small for kernel image.

explicitly setting dom0_mem in the boot config doesn't help. 

I'll try 2.6.12-1.1435 next.
Comment 5 Rik van Riel 2006-02-08 20:50:49 EST
This should work on current Xen packages from Fedora Core 5 rawhide.

Note You need to log in before you can comment on or make changes to this bug.